#include "appcontext.h"
#include <QDir>
#include <QDebug>

AppContext::AppContext(QObject *parent)
    : QObject{parent}
{

}

AppContext::~AppContext()
{

}

AppContext  &AppContext::instance()
{
    static AppContext instance;
    return instance;
}

PluginManager &AppContext::pluginManager()
{
    return m_pluginMgr;
}

ProjectManager &AppContext::projectManager()
{
    return m_projectMgr;
}

Network &AppContext::network()
{
    return m_network;
}

SerialPort &AppContext::serialPort()
{
    return m_serialPort;
}

